/* ===== GENERAL ===== */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    font-size: 10px;
    font-family: 'Varela Round', sans-serif;
}

img{
    width: 100%;
}

body{
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #eee;
    padding: 0 1.5rem;
}

/* ===== PUBLICACIÓN ===== */

.post{
    width: 100%;
    max-width: 80rem;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 1.4rem 8rem rgba(0, 0, 0, .2);
    display: flex;
    align-items: center;
    border-radius: 2rem;
}

.img{
    min-width: 35rem;
    max-width: 35rem;
    height: 30rem;
    transform: translateX(-8rem);
    position: relative;
}

.img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: 2rem;
    box-shadow: 20px 20px 60px #bebebe, -20px -20px 60px #fff;
}

.titulo{
    font-size: 2.5rem;
    margin: 1rem 0 1rem;
    text-transform: uppercase;
    color: #4facfe;
}

.fecha{
    display: block;
    color: rgba(0, 0, 0, .5);
    font-size: 1.6rem;
    font-weight: 600;
    margin: .5rem 0 1rem;
}

.descripcion{
    margin-bottom: 3rem;
    font-size: 1.4rem;
    color: rgba(0, 0, 0, .7);
}

.btn{
    padding: 0;
    overflow: hidden;
    border-width: 0;
    outline: none;
    border-radius: 50%;
    box-shadow: 0 1px 4px rgba(0, 0, 0, .6);
    background-color: #4facfe;
    color: #ecf0f1;
    float: right;
    display: block;
    padding: 12px;
}

.btn:hover{
    background-color: #2592f1;
}

/* ===== RESPONSIVE ===== */

@media screen and (max-width: 1068px){
    .post{
        max-width: 80rem;
    }
    .img{
        min-width: 30rem;
        max-width: 30rem;
    }
}

@media screen and (max-width: 868px){
    .post{
        padding: 2.5rem;
    }
}

@media screen and (max-width: 768px){
    .post{
        padding: 2.5rem;
        flex-direction: column;
    }
    .img{
        min-width: 100%;
        max-width: 100%;
        transform: translate(0, -8rem);
    }
}










